import { Injector } from '@angular/core';
import { HttpEvent, HttpInterceptor, HttpHandler, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { StrapiAuthConfig } from '../types/StrapiAuthConfig';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class AuthInterceptor implements HttpInterceptor {
    private injector;
    private router;
    strapiAuthConfig: StrapiAuthConfig;
    constructor(injector: Injector, router: Router, strapiAuthConfig: StrapiAuthConfig);
    private AUTH_HEADER;
    private token;
    private authService;
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private addAuthenticationToken;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthInterceptor>;
}
