export declare type StrapiAuthProviders = 'github' | 'facebook' | 'google' | 'cognito' | 'twitter' | 'discord' | 'twitch' | 'instagram' | 'vk' | 'linkedin' | 'reddit' | 'auth0';
export declare type StrapiAuthRoutes = {
    login?: string;
    logout?: string;
    register?: string;
    requestPassword?: string;
    resetPassword?: string;
    loginRedirect?: string;
    logoutRedirect?: string;
    requestPasswordRedirect?: string;
};
export interface StrapiAuthConfig {
    strapi_base_url: string;
    auth_providers?: StrapiAuthProviders[];
    routes?: StrapiAuthRoutes;
}
