import { ModuleWithProviders } from '@angular/core';
import { StrapiAuthConfig } from './types/StrapiAuthConfig';
import * as i0 from "@angular/core";
import * as i1 from "./components/auth-components/auth-components.component";
import * as i2 from "./components/auth-components/login/login.component";
import * as i3 from "./components/auth-components/logout/logout.component";
import * as i4 from "./components/auth-components/register/register.component";
import * as i5 from "./components/auth-components/request-password/request-password.component";
import * as i6 from "./components/auth-components/reset-password/reset-password.component";
import * as i7 from "./components/auth-components/auth-block/auth-block.component";
import * as i8 from "./components/profile/profile.component";
import * as i9 from "@angular/common";
import * as i10 from "@angular/forms";
import * as i11 from "@angular/router";
import * as i12 from "@nebular/theme";
import * as i13 from "@ngx-translate/core";
export declare class StrapiAuthModule {
    static forRoot(config: StrapiAuthConfig): ModuleWithProviders<StrapiAuthModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StrapiAuthModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<StrapiAuthModule, [typeof i1.AuthComponentsComponent, typeof i2.LoginComponent, typeof i3.LogoutComponent, typeof i4.RegisterComponent, typeof i5.RequestPasswordComponent, typeof i6.ResetPasswordComponent, typeof i7.AuthBlockComponent, typeof i8.ProfileComponent], [typeof i9.CommonModule, typeof i10.FormsModule, typeof i10.ReactiveFormsModule, typeof i11.RouterModule, typeof i12.NbCardModule, typeof i12.NbLayoutModule, typeof i12.NbInputModule, typeof i12.NbButtonModule, typeof i12.NbCardModule, typeof i12.NbIconModule, typeof i12.NbCheckboxModule, typeof i12.NbSpinnerModule, typeof i12.NbAlertModule, typeof i12.NbSpinnerModule, typeof i12.NbActionsModule, typeof i12.NbRadioModule, typeof i12.NbSelectModule, typeof i12.NbListModule, typeof i13.TranslateModule], [typeof i1.AuthComponentsComponent, typeof i2.LoginComponent, typeof i3.LogoutComponent, typeof i4.RegisterComponent, typeof i5.RequestPasswordComponent, typeof i6.ResetPasswordComponent, typeof i7.AuthBlockComponent, typeof i8.ProfileComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<StrapiAuthModule>;
}
